# 报警条目 alarm_item

```sql
CREATE TABLE alarm_item(
    id VARCHAR(40) NOT NULL AUTO_INCREMENT  COMMENT '主键' ,
    code VARCHAR(40)    COMMENT '报警条目编码' ,
    name VARCHAR(10)    COMMENT '报警条目名称' ,
    category VARCHAR(10)    COMMENT '报警分类' ,
    level VARCHAR(10)    COMMENT '严重程度' ,
    remark TEXT    COMMENT '备注' ,
    condition TEXT    COMMENT '触发条件' ,
    deal_fun VARCHAR(40)    COMMENT '处理算法' ,
  	create_user VARCHAR(40) COMMENT '',
    create_time DATETIME    COMMENT '创建时间' ,
    update_time DATETIME    COMMENT '更新时间' ,
    valid INT NOT NULL  DEFAULT 1 COMMENT '删除标记 1:true,0:false' ,
    PRIMARY KEY (id)
) COMMENT = '报警条目';
```

# 报警条目匹配对象 alarm_target

```sql
CREATE TABLE alarm_target(
    id VARCHAR(40)  NOT NULL AUTO_INCREMENT  COMMENT '主键' ,
    item_id VARCHAR(40)    COMMENT '报警条目id' ,
    class_code VARCHAR(40)    COMMENT '对象类型' ,
    condition TEXT    COMMENT '触发条件' ,
    create_time DATETIME    COMMENT '创建时间' ,
    update_time DATETIME    COMMENT '更新时间' ,
    valid INT NOT NULL  DEFAULT 1 COMMENT '删除标记 1:true,0:false' ,
    PRIMARY KEY (id)
) COMMENT = '报警条目匹配对象';
```

# 报警定义 alarm_config

```sql
CREATE TABLE alarm_config(
    id VARCHAR(40) NOT NULL AUTO_INCREMENT  COMMENT '主键' ,
    obj_id VARCHAR(50)    COMMENT '对象id' ,
    project_id VARCHAR(50)    COMMENT '项目id' ,
    item_code VARCHAR(40)    COMMENT '报警条目编码' ,
    category VARCHAR(10)    COMMENT '报警分类' ,
    level VARCHAR(10)    COMMENT '严重程度' ,
    remark TEXT    COMMENT '备注' ,
    condition TEXT    COMMENT '触发条件' ,
    open INT    COMMENT '屏蔽状态' ,
    concern INT    COMMENT '是否重点关注' ,
    user_defined INT    COMMENT '是否自定义' ,
    create_time DATETIME    COMMENT '创建时间' ,
    update_time DATETIME    COMMENT '更新时间' ,
    valid INT NOT NULL  DEFAULT 1 COMMENT '删除标记 1:true,0:false' ,
    PRIMARY KEY (id)
) COMMENT = '报警定义';
```

# 报警记录 alarm_record

```sql
CREATE TABLE alarm_record(
    id VARCHAR(40)  NOT NULL AUTO_INCREMENT  COMMENT '主键' ,
    item_code VARCHAR(40)    COMMENT '报警条目编码' ,
    project_id VARCHAR(40)    COMMENT '项目id' ,
    obj_id VARCHAR(40)    COMMENT '对象id' ,
    level VARCHAR(10)    COMMENT '严重程度' ,
    remark TEXT    COMMENT '报警描述' ,
    create_time DATETIME    COMMENT '创建时间' ,
    update_time DATETIME    COMMENT '更新时间' ,
    valid INT NOT NULL  DEFAULT 1 COMMENT '删除标记 1:true,0:false' ,
    PRIMARY KEY (id)
) COMMENT = '报警记录';
```