# 报表统计接口文档

#### 查询

[通用查询](/utils/query.md)

### 查询对象报警数量

请求路径：POST /report/alarm/record/query?projectId=项目Id

请求参数：

```json
查询字段：
{
    "criteria": {
        "itemCode": "报警条目编码,非必填",
        "projectId": "项目Id,非必填",
        "category": "报警类型,取值范围：Eq,Sy,非必填",
        "objId": "对象Id,非必填",
        "classCode": "对象类型编码,非必填",
        "level": "严重程度,非必填",
        "state": 2,//报警状态,非必填
        "createTime": "报警创建时间，格式：yyyyMMdd,非必填"
    }
}
```
返回数据:

```json
{
    "result": "success",
    "data": [
        {
            "id": 1,
            "itemCode": "1010",
            "projectId": "Pj1101050029",
            "category": "Eq",
            "objId": "Eq1101050029707953e99dc146bcbe8230d46b39cb1f",
            "classCode": "ACATFC",
            "level": "A",
            "state": 2,
            "createTime": "20201103",
            "count": 75 //报警数量
        }
    ],
    "count": 1
}
```

### 根据设备类型查询设备数量

请求路径：POST /report/rwd/object/queryCountByClass?projectId=项目Id

请求参数：

```json
查询字段：
{
    "classCode":"ACATAH"//设备类型，非必填
}
```

返回数据:

```json
{
    "result": "success",
    "data": {
        "data": [
            {
                "projectId": "Pj1101050029", //项目Id
                "objType": "equipment", //对象分类
                "classCode": "ACATAH",//设备类型
                "count": 162 //设备数量
            }
        ]
    }
}
```